> This page is for version 0.5.0.
> For other versions, use one of these documentation indexes:
> - Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
> - 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
> - 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
> - 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
> - 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
> - 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
> - 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
> - 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
> - 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
> - 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-helix/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-helix/_mcp/server.

# List Adapters

GET /apis/models/v2/workspaces/{workspace}/adapters

Reference: https://docs.nvidia.com/nemo-helix/documentation/reference/api-reference/adapters/list-adapters-apis-models-v-2-workspaces-workspace-adapters-get

## Request

### Path parameters

- `workspace` (string, required)

### Query parameters

- `page` (integer, optional, default: 1) — Page number.
- `page_size` (integer, optional, default: 100) — Page size.
- `sort` (string, optional, default: created_at) — The field to sort by. To sort in decreasing order, use `-` in front of the field name.
- `filter` (AdapterEntityFilter, optional) — Filter adapters by name, model (parent model ref string, stored on the adapter), description, fileset, finetuning_type, enabled, created_at, and updated_at.

## Response

### 200

List adapters in the workspace

- `data` (list of Adapter, required)
- `pagination` (PaginationData, optional) — Pagination information.
- `sort` (string, optional) — The field on which the results are sorted.
- `filter` (map from string to any, optional) — Filtering information.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AdapterEntityFilter

Filter for Adapter list queries.

- `name` (AdapterEntityFilterName, optional) — Filter by adapter name.
- `model` (AdapterEntityFilterModel, optional) — Filter by parent (base) model entity reference in the form \{workspace}/\{model\_name}.
- `description` (AdapterEntityFilterDescription, optional) — Filter by description.
- `fileset` (string, optional) — Filter by fileset reference. Either a fileset name or 'workspace/fileset_name'. A bare name is resolved in the request workspace (the platform default workspace is named 'default'). Each segment is 2-63 characters: lowercase letters, digits, hyphens, and temporarily @ . + _; no consecutive hyphens, and it cannot end with a hyphen.
- `finetuning_type` (enum, optional) — Filter by fine-tuning / PEFT type.
  - Allowed values: `lora_merged`, `all_weights`, `last_layer`, `top_layers`, `gradual_unfreezing`, `bias_only`, `attention_only`, `lora`, `qlora`, `adalora`, `dora`, `lora_plus`, `prompt_tuning`, `prefix_tuning`, `p_tuning`, `p_tuning_v2`, `soft_prompt`, `ppo`, `dpo`, `cdpo`, `ipo`, `orpo`, `kto`, `rrhf`, `grpo`
- `enabled` (boolean, optional) — Filter by whether the adapter is enabled for inference after training.
- `created_at` (DatetimeFilter, optional) — Filter entities based on creation date.
- `updated_at` (DatetimeFilter, optional) — Filter entities based on update date.

### Adapter

- `name` (string, required) — Name of the adapter. Name must be unique in the workspace for all Adapters and match the following regex: Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
- `workspace` (string, required) — Workspace of the adapter. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
- `fileset` (string, required) — Fileset where the adapter files are stored. Either a fileset name or 'workspace/fileset_name'. A bare name is resolved in the request workspace (the platform default workspace is named 'default'). Each segment is 2-63 characters: lowercase letters, digits, hyphens, and temporarily @ . + _; no consecutive hyphens, and it cannot end with a hyphen.
- `finetuning_type` (enum, required) — Type of finetuning (LORA, P_TUNING, etc.)
  - Allowed values: `lora_merged`, `all_weights`, `last_layer`, `top_layers`, `gradual_unfreezing`, `bias_only`, `attention_only`, `lora`, `qlora`, `adalora`, `dora`, `lora_plus`, `prompt_tuning`, `prefix_tuning`, `p_tuning`, `p_tuning_v2`, `soft_prompt`, `ppo`, `dpo`, `cdpo`, `ipo`, `orpo`, `kto`, `rrhf`, `grpo`
- `description` (string, optional) — Optional description of the adapter
- `enabled` (boolean, optional, default: true) — Whether to make this adapter available for inference post training
- `lora_config` (Lora, optional) — Lora configuration specifics
- `model` (string, optional) — Parent model entity reference. A single name (2-63 characters) or 'workspace/model_name' where each segment is a valid name (lowercase, digits, hyphens, and temporarily @ . + _; no leading/trailing or consecutive hyphens). If one slash, both sides must be non-empty.
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

### PaginationData

- `page` (integer, required) — The current page number.
- `page_size` (integer, required) — The page size used for the query.
- `current_page_size` (integer, required) — The size for the current page.
- `total_pages` (integer, required) — The total number of pages.
- `total_results` (integer, required) — The total number of results.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (map from string to any, optional)

### AdapterEntityFilterName

Filter by adapter name.

### AdapterEntityFilterModel

Filter by parent (base) model entity reference in the form \{workspace}/\{model\_name}.

### AdapterEntityFilterDescription

Filter by description.

### DatetimeFilter

- `$gte` (datetime, optional) — Filter for results greater than or equal to this datetime.
- `$lte` (datetime, optional) — Filter for results less than or equal to this datetime.

### Lora

- `rank` (integer, required) — LoRA Rank
- `alpha` (integer, optional) — Alpha scaling used for this adapter

### ValidationErrorLocItems

### StringFilter

- `$eq` (string, optional) — Filter for results equal to this value.
- `$like` (string, optional) — Filter for results matching this pattern.
- `$in` (list of string, optional) — Filter for results in this list of values.
- `$nin` (list of string, optional) — Filter for results not in this list of values.

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "lora-adapter-v1",
      "workspace": "string",
      "fileset": "string",
      "finetuning_type": "lora_merged",
      "description": "string",
      "enabled": true,
      "lora_config": {
        "rank": 1,
        "alpha": 1
      },
      "model": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "string",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/models/v2/workspaces/workspace/adapters"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/models/v2/workspaces/workspace/adapters';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/models/v2/workspaces/workspace/adapters"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/models/v2/workspaces/workspace/adapters")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/apis/models/v2/workspaces/workspace/adapters")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/apis/models/v2/workspaces/workspace/adapters');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/models/v2/workspaces/workspace/adapters");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/models/v2/workspaces/workspace/adapters")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```